%define	major		6
%define	libname		%mklibname %{name} %major
%define	develname	%mklibname %{name} -d

Name:		linuxsampler
Summary:	Professional grade software audio sampler
Version:	2.2.0
Release:	%mkrel 3
License:	GPLv2
Group:		Sound
URL:		http://www.linuxsampler.org/
Source0:	http://download.linuxsampler.org/packages/linuxsampler-%{version}.tar.xz
Patch0:		linuxsampler-2.1-mga-arm_RTMath.cpp.patch
Patch1:		linuxsampler-2.1-mga-arm_atomic.h.patch
BuildRequires:	lib64gig-devel
BuildRequires:	dssi-devel
BuildRequires:	lv2-devel
BuildRequires:	bison-devel-static
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(sndfile)
BuildRequires:	doxygen
BuildRequires:	perl(XML::Parser)
BuildRequires:	flex

Requires:	jackit
Requires:	liblscp
Requires:	gig
Requires:	lv2

%description
LinuxSampler is a professional grade software audio sampler
that aims to deliver performance and features at par with
hardware sampler devices.

%files
%{_bindir}/%{name}
%{_bindir}/lscp*
%{_bindir}/ls_instr_script
%{_mandir}/man1/%{name}.1.*
%{_mandir}/man1/lscp*.1.*
%{_localstatedir}/lib/%{name}/*.db

#--------------------------------------------------------------------

%package -n %{libname}
Group:		System/Libraries
Summary:	Libraries for %{name}
Provides:	lib%{name} = %{version}-%{release}
Obsoletes:  lib64linuxsampler5

%description -n %{libname}
Libraries from %{name}.

%files -n %{libname}
%config %{_sysconfdir}/ld.so.conf.d/%{name}-%{_arch}.conf
%{_libdir}/%{name}/lib%{name}.so.%{major}*
%{_libdir}/dssi/*.so
%{_libdir}/lv2/%{name}.lv2/*.so
%{_libdir}/lv2/%{name}.lv2/*.ttl
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%dir %{_libdir}/lv2/%{name}.lv2

#--------------------------------------------------------------------

%package -n %{develname}
Group:		Development/Libraries
Summary:	Libraries for %{name}
Requires:	%{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Development libraries from %{name}.

%files -n %{develname}
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/%{name}/lib%{name}.so

#--------------------------------------------------------------------

%prep
%setup -q

%apply_patches
[ -f Makefile.cvs ] && make -f Makefile.svn

%build
%configure2_5x
[ -f Makefile.svn ] && make parser
%make_build
make docs

%install
rm -rf %buildroot
%make_install

# (tv) fix conflicts with nilfs-utils:
mv %{buildroot}%{_bindir}/lscp{,-linuxsampler}
mv %{buildroot}%{_mandir}/man1/lscp{,-linuxsampler}.1

# ld.so.conf.d config for libraries outside the standard search path (mga#28229)
mkdir -p %{buildroot}%{_sysconfdir}/ld.so.conf.d/
cat > %{buildroot}%{_sysconfdir}/ld.so.conf.d/%{name}-%{_arch}.conf << EOF
%{_libdir}/%{name}/
EOF

find %{buildroot} -regex ".*\(a\|la\)$" -delete


%changelog
* Tue Oct 04 2022 tex - 2.2.0-3pclos2022
- rebuild against updates

* Wed Jun 30 2021 tex - 2.2.0-2pclos2021
- fix rpm group

* Wed May 12 2021 tex - 2.2.0-1pclos2021
- new version
- new majpr 6
